MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031315Open CASCADE[OCCT] OCCT:Visualizationpublic2020-01-23 15:432020-02-23 12:25
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031315: Visualization - marker texture is lost after multi-textured object
DescriptionMarker texture is suddenly lost in immediate layer on multi-textured model.
Steps To Reproduce
pload MODELING VISUALIZATION
vclear
vinit View1
box b 1 2 3
vdisplay -dispMode 1 b
vtexture b -tex0 3 -tex1 4
vfit
vpoint p0 -1 0 0
vaspects p0 -setMarkerSize 5
if { [vreadpixel 15 310 -rgb -name] != "BLACK" } { puts "Error" }


test de_mesh gltf_read helmet 1
vselprops dynHighlight -dispMode 1
vmoveto 200 200

then press middle mouse button and perform dragging in the viewer (keeping dynamic highlighting but without selecting object).

TagsNo tags attached.
Test case numberbugs/vis/bug31315
Attached Filespng file icon gravity_marker_KO.png (140,333 bytes) 2020-01-23 15:43
png file icon gravity_marker_OK.png (128,157 bytes) 2020-01-23 15:43

- Relationships

-  Notes
(0090559)
git (administrator)
2020-02-16 15:04

Branch CR31315 has been created by kgv.

SHA-1: 4b7ac8b36723f868634772498518e48979056e9e


Detailed log of new commits:

Author: kgv
Date: Sun Feb 16 15:04:17 2020 +0300

    0031315: Visualization - marker texture is lost after multi-textured object
    
    OpenGl_Context::BindTextures() now iterates over pair of texture sets
    considering inconsistent texture unit ranges.
(0090560)
git (administrator)
2020-02-16 15:05

Branch CR31315 has been updated forcibly by kgv.

SHA-1: 944f46d5bde081f5b814c33cf4be2775afa383eb
(0090561)
git (administrator)
2020-02-16 15:18

Branch CR31315 has been updated forcibly by kgv.

SHA-1: 2a984bf31175174709af4044924f253ed3ef1791
(0090562)
git (administrator)
2020-02-16 16:36

Branch CR31315 has been updated forcibly by kgv.

SHA-1: b33121244cdd945ba9941d0661e4c1c4f15f1f03
(0090563)
kgv (developer)
2020-02-16 19:27

Patch is ready for review.
http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31315-master-KGV/ [^]
(0090564)
git (administrator)
2020-02-16 21:53

Branch CR31315 has been updated by kgv.

SHA-1: a594825ca6610b22dfa0d93cdfba3cce67bdbebf


Detailed log of new commits:

Author: kgv
Date: Sun Feb 16 21:53:08 2020 +0300

    0031373: Samples - provide sample combining OCCT and 3 viewer

(0090566)
git (administrator)
2020-02-16 21:54

Branch CR31315 has been updated forcibly by kgv.

SHA-1: b33121244cdd945ba9941d0661e4c1c4f15f1f03
(0090590)
osa (developer)
2020-02-19 11:28

The patch was reviewed
(0090631)
bugmaster (administrator)
2020-02-23 11:58

Fix has been tested in framework of IR-2020-02-22

Combination -
OCCT branch : IR-2020-02-22
master SHA - 0950253ca6a21ca4d114a8743b4b9990ec0398be
fe4497f3246e6bc1ced97ac331c148f0809ded15
Products branch : IR-2020-02-22 SHA - 7fcdb8a1da7b1467a779e4ef1bbb4b2746e6ffb8
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17017.87000000002 / 17024.610000000095 [-0.04%]
Products
Total CPU difference: 12533.37000000014 / 12614.3600000001 [-0.64%]
Windows-64-VC14:
OCCT
Total CPU difference: 18397.9375 / 18472.453125 [-0.40%]
Products
Total CPU difference: 14483.234375 / 14513.703125 [-0.21%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0090647)
git (administrator)
2020-02-23 12:25

Branch CR31315 has been deleted by inv.

SHA-1: b33121244cdd945ba9941d0661e4c1c4f15f1f03

- Related Changesets
occt: master d850414a
Timestamp: 2020-02-16 12:04:17
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031315: Visualization - marker texture is lost after multi-textured object

OpenGl_Context::BindTextures() now iterates over pair of texture sets
considering inconsistent texture unit ranges.
mod - src/Graphic3d/Graphic3d_TextureSet.hxx Diff ] File ]
mod - src/OpenGl/FILES Diff ] File ]
mod - src/OpenGl/OpenGl_AspectsTextureSet.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_TextureSet.hxx Diff ] File ]
add - src/OpenGl/OpenGl_TextureSetPairIterator.hxx Diff ] File ]
add - tests/bugs/vis/bug31315 Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-01-23 15:43 kgv New Issue
2020-01-23 15:43 kgv Assigned To => iko
2020-01-23 15:43 kgv File Added: gravity_marker_KO.png
2020-01-23 15:43 kgv File Added: gravity_marker_OK.png
2020-02-14 19:52 kgv Steps to Reproduce Updated View Revisions
2020-02-14 19:53 kgv Steps to Reproduce Updated View Revisions
2020-02-14 19:58 kgv Steps to Reproduce Updated View Revisions
2020-02-16 14:53 kgv Summary Visualization - marker texture is suddenly lost in immediate layer on multi-textured model => Visualization - marker texture is lost after multi-textured object
2020-02-16 15:04 git Note Added: 0090559
2020-02-16 15:05 git Note Added: 0090560
2020-02-16 15:18 git Note Added: 0090561
2020-02-16 16:36 git Note Added: 0090562
2020-02-16 19:27 kgv Note Added: 0090563
2020-02-16 19:27 kgv Assigned To iko => osa
2020-02-16 19:27 kgv Status new => resolved
2020-02-16 21:53 git Note Added: 0090564
2020-02-16 21:54 git Note Added: 0090566
2020-02-19 11:28 osa Note Added: 0090590
2020-02-19 11:28 osa Assigned To osa => bugmaster
2020-02-19 11:28 osa Status resolved => reviewed
2020-02-23 11:58 bugmaster Note Added: 0090631
2020-02-23 11:58 bugmaster Status reviewed => tested
2020-02-23 12:01 bugmaster Test case number => bugs/vis/bug31315
2020-02-23 12:07 bugmaster Changeset attached => occt master d850414a
2020-02-23 12:07 bugmaster Status tested => verified
2020-02-23 12:07 bugmaster Resolution open => fixed
2020-02-23 12:25 git Note Added: 0090647


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker